Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.service.impl
Class AuthenticationCertificateRegistrationServiceImpl

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.service.impl.AuthenticationCertificateRegistrationServiceImpl

All Implemented Interfaces:
  SessionServiceWithCache, ConfigurableImplementation, AuthenticationCertificateRegistrationService

    public class AuthenticationCertificateRegistrationServiceImpl

extends Object
implements AuthenticationCertificateRegistrationService, ConfigurableImplementation, SessionServiceWithCache

Constructor Summary
`AuthenticationCertificateRegistrationServiceImpl()`

Method Summary
`void` | `flushCache()` Method to flush the cache after invoking this method.
`Result<List<String>>` | `getApplicationIdList(Organization organization)`
`Result<List<Organization>>` | `getOrganizationList(Identity identity)`
`Result<List<X509Certificate>>` | `getRevokableCertificates(Identity identity)`
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`Result<X509Certificate[]>` | `poll(String requestId)`
`String` | `renew(RenewCertificateContract contract)`
`String` | `request(NewCertificateContract contract)`
`Result<Void>` | `revoke(RevokeCertificateContract contract)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationCertificateRegistrationServiceImpl

    public AuthenticationCertificateRegistrationServiceImpl()

Method Detail

### request

    public String request(NewCertificateContract contract)
                   throws TechnicalConnectorException

  Specified by:
    `request` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### renew

    public String renew(RenewCertificateContract contract)
                 throws TechnicalConnectorException

  Specified by:
    `renew` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### revoke

    public Result<Void> revoke(RevokeCertificateContract contract)
                        throws TechnicalConnectorException

  Specified by:
    `revoke` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### poll

    public Result<X509Certificate[]> poll(String requestId)
                                   throws TechnicalConnectorException

  Specified by:
    `poll` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getRevokableCertificates

    public Result<List<X509Certificate>> getRevokableCertificates(Identity identity)
                                                           throws TechnicalConnectorException

  Specified by:
    `getRevokableCertificates` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getOrganizationList

    public Result<List<Organization>> getOrganizationList(Identity identity)
                                                   throws TechnicalConnectorException

  Specified by:
    `getOrganizationList` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### getApplicationIdList

    public Result<List<String>> getApplicationIdList(Organization organization)
                                              throws TechnicalConnectorException

  Specified by:
    `getApplicationIdList` in interface `AuthenticationCertificateRegistrationService`
  Throws:
    `TechnicalConnectorException`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

### flushCache

    public void flushCache()

  Description copied from interface: `SessionServiceWithCache`
  Method to flush the cache after invoking this method.

  Specified by:
    `flushCache` in interface `SessionServiceWithCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.